using System.Text.Json.Serialization;
using salesbook.Shared.Core.Dto;

namespace salesbook.Shared.Core.Entity;

public class WtbNotification
{
    [JsonPropertyName("id")]
    public long Id { get; set; }

    [JsonPropertyName("title")]
    public string? Title { get; set; }

    [JsonPropertyName("body")]
    public string? Body { get; set; }

    [JsonPropertyName("imageUrl")]
    public string? ImageUrl { get; set; }

    [JsonPropertyName("notificationData")]
    public NotificationDataDTO? NotificationData { get; set; }

    [JsonPropertyName("startDate")]
    public DateTime? StartDate { get; set; }

    [JsonPropertyName("endDate")]
    public DateTime? EndDate { get; set; }

    [JsonPropertyName("persistent")]
    public bool? Persistent { get; set; }

    [JsonPropertyName("topics")]
    public List<string>? Topics { get; set; }

    [JsonPropertyName("wtbDeviceNotifications")]
    public List<WtbDeviceNotification>? WtbDeviceNotifications { get; set; }
}